Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Class ConnectDisabledException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.common.ResourceException
                              |
                              +--weblogic.common.ConnectDisabledException

public final class ConnectDisabledException
extends ResourceException

Class for ConnectDisabledException

Author:
  Copyright (c) 1995-98 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`ConnectDisabledException()` Constructs a ConnectDisabledException Exception.
`ConnectDisabledException(java.lang.String s)` Constructs a ConnectDisabledException with the specified message.
`ConnectDisabledException(java.lang.String s, java.lang.Throwable t)`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectDisabledException

    public ConnectDisabledException(java.lang.String s)

  Constructs a ConnectDisabledException with the specified message. A ConnectDisabledException indicates that the Connection Pool is currently disabled.

  Parameters:
    `s` - String message

### ConnectDisabledException

    public ConnectDisabledException()

  Constructs a ConnectDisabledException Exception. A ConnDisabled indicates that the Connection Pool is currently disabled.

### ConnectDisabledException

    public ConnectDisabledException(java.lang.String s,
                                    java.lang.Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference